<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.hzya.frame.sysnew.warningInterface.dao.impl.SysWarningInterfaceDaoImpl">

    <resultMap id="get-SysWarningInterfaceEntity-result" type="com.hzya.frame.sysnew.warningInterface.entity.SysWarningInterfaceEntity" >
       <result property="id" column="id" jdbcType="VARCHAR"/>
           <result property="sorts" column="sorts" jdbcType="INTEGER"/>
           <result property="create_user_id" column="create_user_id" jdbcType="VARCHAR"/>
           <result property="create_time" column="create_time" jdbcType="TIMESTAMP"/>
           <result property="modify_user_id" column="modify_user_id" jdbcType="VARCHAR"/>
           <result property="modify_time" column="modify_time" jdbcType="TIMESTAMP"/>
           <result property="sts" column="sts" jdbcType="VARCHAR"/>
           <result property="org_id" column="org_id" jdbcType="VARCHAR"/>
           <result property="companyId" column="company_id" jdbcType="VARCHAR"/>
           <result property="apiName" column="api_name" jdbcType="VARCHAR"/>
           <result property="apiCode" column="api_code" jdbcType="INTEGER"/>
           <result property="pushMethod" column="push_method" jdbcType="VARCHAR"/>
           <result property="status" column="status" jdbcType="VARCHAR"/>
           <result property="warningConfigId" column="warning_config_id" jdbcType="VARCHAR"/>
        </resultMap>
    <!-- 查询的字段-->
    <sql id = "SysWarningInterfaceEntity_Base_Column_List">
        id
       ,sorts 
        ,create_user_id 
        ,create_time 
        ,modify_user_id 
        ,modify_time 
        ,sts 
        ,org_id 
        ,company_id 
        ,api_name 
        ,api_code 
        ,push_method 
        ,status 
        ,warning_config_id 
     </sql>
 <!-- 查询 采用==查询 -->
 <select id="entity_list_base" resultMap="get-SysWarningInterfaceEntity-result" parameterType = "com.hzya.frame.sysnew.warningInterface.entity.SysWarningInterfaceEntity">
    select
    <include refid="SysWarningInterfaceEntity_Base_Column_List" />
    from sys_warning_interface
    <trim prefix="where" prefixOverrides="and"> 
        <if test="id != null and id != ''"> and id = #{id} </if>
            <if test="sorts != null"> and sorts = #{sorts} </if>
            <if test="create_user_id != null and create_user_id != ''"> and create_user_id = #{create_user_id} </if>
            <if test="create_time != null"> and create_time = #{create_time} </if>
            <if test="modify_user_id != null and modify_user_id != ''"> and modify_user_id = #{modify_user_id} </if>
            <if test="modify_time != null"> and modify_time = #{modify_time} </if>
            <if test="sts != null and sts != ''"> and sts = #{sts} </if>
            <if test="org_id != null and org_id != ''"> and org_id = #{org_id} </if>
            <if test="companyId != null and companyId != ''"> and company_id = #{companyId} </if>
            <if test="apiName != null and apiName != ''"> and api_name = #{apiName} </if>
            <if test="apiCode != null and apiCode != ''"> and api_code = #{apiCode} </if>
            <if test="pushMethod != null and pushMethod != ''"> and push_method = #{pushMethod} </if>
            <if test="status != null and status != ''"> and status = #{status} </if>
            <if test="warningConfigId != null and warningConfigId != ''"> and warning_config_id = #{warningConfigId} </if>
            and sts='Y'
    </trim>
    <if test=" sort == null or sort == ''.toString() "> order by sorts asc</if>
    <if test=" sort !='' and sort!=null and order !='' and order!=null ">order by ${sort} ${order}</if>
</select>
    
<!-- 查询符合条件的数量 -->
<select id="entity_count" resultType="Integer" parameterType = "com.hzya.frame.sysnew.warningInterface.entity.SysWarningInterfaceEntity">
        select  count(1)   from sys_warning_interface
    <trim prefix="where" prefixOverrides="and"> 
        <if test="id != null and id != ''"> and id = #{id} </if>
            <if test="sorts != null"> and sorts = #{sorts} </if>
            <if test="create_user_id != null and create_user_id != ''"> and create_user_id = #{create_user_id} </if>
            <if test="create_time != null"> and create_time = #{create_time} </if>
            <if test="modify_user_id != null and modify_user_id != ''"> and modify_user_id = #{modify_user_id} </if>
            <if test="modify_time != null"> and modify_time = #{modify_time} </if>
            <if test="sts != null and sts != ''"> and sts = #{sts} </if>
            <if test="org_id != null and org_id != ''"> and org_id = #{org_id} </if>
            <if test="companyId != null and companyId != ''"> and company_id = #{companyId} </if>
            <if test="apiName != null and apiName != ''"> and api_name = #{apiName} </if>
            <if test="apiCode != null and apiCode != ''"> and api_code = #{apiCode} </if>
            <if test="pushMethod != null and pushMethod != ''"> and push_method = #{pushMethod} </if>
            <if test="status != null and status != ''"> and status = #{status} </if>
            <if test="warningConfigId != null and warningConfigId != ''"> and warning_config_id = #{warningConfigId} </if>
            and sts='Y'
    </trim>
    <if test=" sort == null or sort == ''.toString() "> order by sorts asc</if>
    <if test=" sort !='' and sort!=null and order !='' and order!=null "> order by ${sort} ${order}</if>
    </select>

    <!-- 分页查询列表 采用like格式 -->
<select id="entity_list_like" resultMap="get-SysWarningInterfaceEntity-result" parameterType = "com.hzya.frame.sysnew.warningInterface.entity.SysWarningInterfaceEntity">
    select
    <include refid="SysWarningInterfaceEntity_Base_Column_List" />
    from sys_warning_interface
    <trim prefix="where" prefixOverrides="and"> 
        <if test="id != null and id != ''"> and id like concat('%',#{id},'%') </if>
            <if test="sorts != null"> and sorts like concat('%',#{sorts},'%') </if>
            <if test="create_user_id != null and create_user_id != ''"> and create_user_id like concat('%',#{create_user_id},'%') </if>
            <if test="create_time != null"> and create_time like concat('%',#{create_time},'%') </if>
            <if test="modify_user_id != null and modify_user_id != ''"> and modify_user_id like concat('%',#{modify_user_id},'%') </if>
            <if test="modify_time != null"> and modify_time like concat('%',#{modify_time},'%') </if>
            <if test="sts != null and sts != ''"> and sts like concat('%',#{sts},'%') </if>
            <if test="org_id != null and org_id != ''"> and org_id like concat('%',#{org_id},'%') </if>
            <if test="companyId != null and companyId != ''"> and company_id like concat('%',#{companyId},'%') </if>
            <if test="apiName != null and apiName != ''"> and api_name like concat('%',#{apiName},'%') </if>
            <if test="apiCode != null and apiCode != ''"> and api_code like concat('%',#{apiCode},'%') </if>
            <if test="pushMethod != null and pushMethod != ''"> and push_method like concat('%',#{pushMethod},'%') </if>
            <if test="status != null and status != ''"> and status like concat('%',#{status},'%') </if>
            <if test="warningConfigId != null and warningConfigId != ''"> and warning_config_id like concat('%',#{warningConfigId},'%') </if>
            and sts='Y'
    </trim>
    <if test=" sort == null or sort == ''.toString() "> order by sorts asc</if>
    <if test=" sort !='' and sort!=null and order !='' and order!=null ">order by ${sort} ${order}</if>
</select>

<!-- 查询列表 字段采用or格式 -->
<select id="SysWarningInterfaceentity_list_or" resultMap="get-SysWarningInterfaceEntity-result" parameterType = "com.hzya.frame.sysnew.warningInterface.entity.SysWarningInterfaceEntity">
    select
    <include refid="SysWarningInterfaceEntity_Base_Column_List" />
    from sys_warning_interface
    <trim prefix="where" prefixOverrides="and"> 
         <if test="id != null and id != ''"> or id = #{id} </if>
             <if test="sorts != null"> or sorts = #{sorts} </if>
             <if test="create_user_id != null and create_user_id != ''"> or create_user_id = #{create_user_id} </if>
              <if test="create_time != null"> or create_time = #{create_time} </if>
              <if test="modify_user_id != null and modify_user_id != ''"> or modify_user_id = #{modify_user_id} </if>
              <if test="modify_time != null"> or modify_time = #{modify_time} </if>
              <if test="sts != null and sts != ''"> or sts = #{sts} </if>
             <if test="org_id != null and org_id != ''"> or org_id = #{org_id} </if>
              <if test="companyId != null and companyId != ''"> or company_id = #{companyId} </if>
             <if test="apiName != null and apiName != ''"> or api_name = #{apiName} </if>
             <if test="apiCode != null and apiCode != ''"> or api_code = #{apiCode} </if>
             <if test="pushMethod != null and pushMethod != ''"> or push_method = #{pushMethod} </if>
             <if test="status != null and status != ''"> or status = #{status} </if>
             <if test="warningConfigId != null and warningConfigId != ''"> or warning_config_id = #{warningConfigId} </if>
            and sts='Y'
    </trim>
    <if test=" sort == null or sort == ''.toString()  "> order by sorts asc</if>
    <if test=" sort !='' and sort!=null and order !='' and order!=null ">order by ${sort} ${order}</if>
</select>

<!--新增所有列-->
<insert id="entity_insert" parameterType = "com.hzya.frame.sysnew.warningInterface.entity.SysWarningInterfaceEntity" keyProperty="id" useGeneratedKeys="true">
    insert into sys_warning_interface(
  <trim suffix="" suffixOverrides=",">
       <if test="id != null and id != ''"> id , </if>
            <if test="sorts != null"> sorts , </if>
            <if test="create_user_id != null and create_user_id != ''"> create_user_id , </if>
            <if test="create_time != null"> create_time , </if>
            <if test="modify_user_id != null and modify_user_id != ''"> modify_user_id , </if>
            <if test="modify_time != null"> modify_time , </if>
            <if test="sts != null and sts != ''"> sts , </if>
            <if test="org_id != null and org_id != ''"> org_id , </if>
            <if test="companyId != null and companyId != ''"> company_id , </if>
            <if test="apiName != null and apiName != ''"> api_name , </if>
            <if test="apiCode != null and apiCode != ''"> api_code , </if>
            <if test="pushMethod != null and pushMethod != ''"> push_method , </if>
            <if test="status != null and status != ''"> status , </if>
            <if test="warningConfigId != null and warningConfigId != ''"> warning_config_id , </if>
    <if test="sts == null ">sts,</if>
  </trim>
  )values(
 <trim suffix="" suffixOverrides=",">
       <if test="id != null and id != ''"> #{id} ,</if>
            <if test="sorts != null"> #{sorts} ,</if>
            <if test="create_user_id != null and create_user_id != ''"> #{create_user_id} ,</if>
            <if test="create_time != null"> #{create_time} ,</if>
            <if test="modify_user_id != null and modify_user_id != ''"> #{modify_user_id} ,</if>
            <if test="modify_time != null"> #{modify_time} ,</if>
            <if test="sts != null and sts != ''"> #{sts} ,</if>
            <if test="org_id != null and org_id != ''"> #{org_id} ,</if>
            <if test="companyId != null and companyId != ''"> #{companyId} ,</if>
            <if test="apiName != null and apiName != ''"> #{apiName} ,</if>
            <if test="apiCode != null and apiCode != ''"> #{apiCode} ,</if>
            <if test="pushMethod != null and pushMethod != ''"> #{pushMethod} ,</if>
            <if test="status != null and status != ''"> #{status} ,</if>
            <if test="warningConfigId != null and warningConfigId != ''"> #{warningConfigId} ,</if>
    <if test="sts == null ">'Y',</if>
  </trim>
  )  
</insert>
<!-- 批量新增 -->
<insert id="entityInsertBatch" keyProperty="id" useGeneratedKeys="true">
  insert into sys_warning_interface(create_user_id, create_time, modify_user_id, modify_time, sts, org_id, company_id, api_name, api_code, push_method, status, warning_config_id,  sts) 
    values
    <foreach collection="entities" item="entity" separator=",">
    (#{entity.create_user_id},#{entity.create_time},#{entity.modify_user_id},#{entity.modify_time},#{entity.sts},#{entity.org_id},#{entity.companyId},#{entity.apiName},#{entity.apiCode},#{entity.pushMethod},#{entity.status},#{entity.warningConfigId}, 'Y')
    </foreach>
</insert>
<!-- 批量新增或者修改-->
<insert id="entityInsertOrUpdateBatch" keyProperty="id" useGeneratedKeys="true">
    insert into sys_warning_interface(create_user_id, create_time, modify_user_id, modify_time, sts, org_id, company_id, api_name, api_code, push_method, status, warning_config_id)
    values
    <foreach collection="entities" item="entity" separator=",">
    (#{entity.create_user_id},#{entity.create_time},#{entity.modify_user_id},#{entity.modify_time},#{entity.sts},#{entity.org_id},#{entity.companyId},#{entity.apiName},#{entity.apiCode},#{entity.pushMethod},#{entity.status},#{entity.warningConfigId})
    </foreach>
    on duplicate key update
    create_user_id = values(create_user_id),
    create_time = values(create_time),
    modify_user_id = values(modify_user_id),
    modify_time = values(modify_time),
    sts = values(sts),
    org_id = values(org_id),
    company_id = values(company_id),
    api_name = values(api_name),
    api_code = values(api_code),
    push_method = values(push_method),
    status = values(status),
    warning_config_id = values(warning_config_id)</insert>
<!--通过主键修改方法-->
<update id="entity_update" parameterType = "com.hzya.frame.sysnew.warningInterface.entity.SysWarningInterfaceEntity" >
update sys_warning_interface  set
<trim suffix="" suffixOverrides=",">
  <if test="create_user_id != null and create_user_id != ''"> create_user_id = #{create_user_id},</if>
    <if test="create_time != null"> create_time = #{create_time},</if>
    <if test="modify_user_id != null and modify_user_id != ''"> modify_user_id = #{modify_user_id},</if>
    <if test="modify_time != null"> modify_time = #{modify_time},</if>
    <if test="sts != null and sts != ''"> sts = #{sts},</if>
  <if test="org_id != null and org_id != ''"> org_id = #{org_id},</if>
    <if test="companyId != null and companyId != ''"> company_id = #{companyId},</if>
  <if test="apiName != null and apiName != ''"> api_name = #{apiName},</if>
  <if test="apiCode != null and apiCode != ''"> api_code = #{apiCode},</if>
  <if test="pushMethod != null and pushMethod != ''"> push_method = #{pushMethod},</if>
  <if test="status != null and status != ''"> status = #{status},</if>
  <if test="warningConfigId != null and warningConfigId != ''"> warning_config_id = #{warningConfigId},</if>
</trim>
where id = #{id}
</update>
<!-- 逻辑删除 -->
<update id="entity_logicDelete" parameterType = "com.hzya.frame.sysnew.warningInterface.entity.SysWarningInterfaceEntity" >
update sys_warning_interface  set sts= 'N' ,modify_time = #{modify_time},modify_user_id = #{modify_user_id}
where id = #{id}
</update>
<!-- 多条件逻辑删除 -->
<update id="entity_logicDelete_Multi_Condition" parameterType = "com.hzya.frame.sysnew.warningInterface.entity.SysWarningInterfaceEntity" >
update sys_warning_interface  set sts= 'N' ,modify_time = #{modify_time},modify_user_id = #{modify_user_id}
 <trim prefix="where" prefixOverrides="and"> 
        <if test="id != null and id != ''"> and id = #{id} </if>
            <if test="sorts != null"> and sorts = #{sorts} </if>
                                                                <if test="sts != null and sts != ''"> and sts = #{sts} </if>
                         <if test="companyId != null and companyId != ''"> and company_id = #{companyId} </if>
            <if test="apiName != null and apiName != ''"> and api_name = #{apiName} </if>
            <if test="apiCode != null and apiCode != ''"> and api_code = #{apiCode} </if>
            <if test="pushMethod != null and pushMethod != ''"> and push_method = #{pushMethod} </if>
            <if test="status != null and status != ''"> and status = #{status} </if>
            <if test="warningConfigId != null and warningConfigId != ''"> and warning_config_id = #{warningConfigId} </if>
            and sts='Y'
    </trim>
</update>
<!--通过主键删除-->
<delete id="entity_delete">
    delete from sys_warning_interface where id = #{id}
</delete>

</mapper>

